@charset "utf-8";
/* CSS Document */


/*飄-上下*/
.uptodown-play { -webkit-animation:uptodown-play 1.5s infinite alternate;
				         animation:uptodown-play 1.5s infinite alternate;}
	@-webkit-keyframes uptodown-play { 
		0% { 
			-webkit-transform: translate(0,-10px);  
		} 
		100% { 
			-webkit-transform: translate(0,0);
		}
	}
	@keyframes uptodown-play { 
		0% { 
			transform: translate(0,-10px);  
		} 
		100% { 
			transform: translate(0,0);
		}
	}

/*飄-下上*/
.downtoup-play { -webkit-animation:downtoup-play 1.5s infinite alternate;
				         animation:downtoup-play 1.5s infinite alternate;}
	@-webkit-keyframes downtoup-play { 
		0% { 
			-webkit-transform: translate(0,0);  
		} 
		100% { 
			-webkit-transform: translate(0,-10px);
		}
	}
	@keyframes downtoup-play { 
		0% { 
			transform: translate(0,0);  
		} 
		100% { 
			transform: translate(0,-10px);
		}
	}



/*轉轉3*/
.rotate3-play { -webkit-animation:rotate3-play 20s linear infinite ;
				       animation:rotate3-play 20s linear infinite ;}
	@keyframes rotate3-play {
	  100% { 
			transform: rotate(-360deg);
	  }
	}

/*背景飄上*/
.bgupup-play { -webkit-animation:bgupup-play 40s linear infinite ;
				       animation:bgupup-play 40s linear infinite ;}
	@keyframes bgupup-play {
	  100% { background-position: center -925px;
	  }
	}


/*心跳A*/
.heartbeat-play {-webkit-animation-duration: 1s;  animation-duration: 1s;  -webkit-animation-name: heartbeat-play;  animation-name: heartbeat-play;  -webkit-animation-iteration-count: infinite;    animation-iteration-count:infinite;/* -webkit-animation-direction: alternate;animation-direction: alternate;*/}
	@-webkit-keyframes heartbeat-play {   
		0%   { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		40%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);} 
		60%  { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		80%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);}
		100% { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		}
	@keyframes heartbeat-play { 
		0%   { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		40%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);} 
		60%  { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		80%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);}
		100% { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
	}

/*彈跳*/	
.bounce-play { -webkit-animation:bounce-play 3s linear infinite ;
				          animation:bounce-play 3s linear infinite ;}
	@-webkit-keyframes bounce-play {
	  0%, 5%, 12.5%, 20%, 25% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	  }
	
	  10% {
		-webkit-transform: translateY(-10%);
		transform: translateY(-10%);
	  }
	
	  15% {
		-webkit-transform: translateY(-5%);
		transform: translateY(-5%);
	  }
	}
	
	@keyframes bounce-play {
	  0%, 5%, 12.5%, 20%, 25% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	  }
	
	  10% {
		-webkit-transform: translateY(-10%);
		transform: translateY(-10%);
	  }
	
	  15% {
		-webkit-transform: translateY(-5%);
		transform: translateY(-5%);
	  }
	}

/*主標微亮*/		  
.minbright-play { -webkit-animation:minbright-play 2s infinite alternate; animation:minbright-play 2s infinite alternate ;}
	@-webkit-keyframes minbright-play {
	  0% { 
		filter:brightness(110%);
	  }
	  100% { 
		filter:brightness(100%);
	  }
	}
	@keyframes minbright-play {
	  0% { 
		filter:brightness(110%);
	  }
	  100% { 
		filter:brightness(100%);
	  }
	}

/*閃光*/				  
.brightness-play1 { -webkit-animation:brightness-play 3s infinite ;
				           animation:brightness-play 3s infinite ;}
	@-webkit-keyframes brightness-play {
	  0% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  92% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  94% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(200%);
	  }
	  96% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  98% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  100% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/1500/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	}
	@keyframes brightness-play {
	  0% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  92% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  94% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  96% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  98% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  100% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
}


/*流星動畫*/
.night {
	position: absolute;
	width: 500px;
	height: 500px;
	top: 131px;
	left: 70px;
	z-index: -3;
	overflow: hidden;
	pointer-events: none;
	-webkit-transform: rotateZ(45deg);
			transform: rotateZ(45deg);
  }
  
  
  @media screen and (max-width:736px){
  .night {
	position: absolute;
	width: 60%;
	height: 108vw;
	top: 0;
	left: 8vw;
	z-index: 0;    
  }
  }
  
  
  .shooting_star {
	position: absolute;
	left: 50%;
	top: 50%;
	height: 2px;
	background: linear-gradient(-45deg, #e4f0ff, rgba(0, 0, 255, 0));
	border-radius: 999px;
	-webkit-filter: drop-shadow(0 0 6px #e4f0ff);
			filter: drop-shadow(0 0 6px #e4f0ff);
	-webkit-animation: tail 3000ms ease-in-out infinite, shooting 3000ms ease-in-out infinite;
			animation: tail 3000ms ease-in-out infinite, shooting 3000ms ease-in-out infinite;
  }
  .shooting_star::before, .shooting_star::after {
	content: '';
	position: absolute;
	top: calc(50% - 1px);
	right: 0;
	height: 2px;
	background: linear-gradient(-45deg, rgba(0, 0, 255, 0), #95dcfd, rgba(0, 0, 255, 0));
	-webkit-transform: translateX(50%) rotateZ(45deg);
			transform: translateX(50%) rotateZ(45deg);
	border-radius: 100%;
	-webkit-animation: shining 3000ms ease-in-out infinite;
			animation: shining 3000ms ease-in-out infinite;
  }
  .shooting_star::after {
	-webkit-transform: translateX(50%) rotateZ(-45deg);
			transform: translateX(50%) rotateZ(-45deg);
  }
  .shooting_star:nth-child(1) {
	top: calc(50% - -153px);
	left: calc(50% - 262px);
	-webkit-animation-delay: 8057ms;
			animation-delay: 8057ms;
  }
  .shooting_star:nth-child(1)::before, .shooting_star:nth-child(1)::after, .shooting_star:nth-child(1)::after {
	-webkit-animation-delay: 8057ms;
			animation-delay: 8057ms;
  }
  .shooting_star:nth-child(2) {
	top: calc(50% - -99px);
	left: calc(50% - 271px);
	-webkit-animation-delay: 1107ms;
			animation-delay: 1107ms;
  }
  .shooting_star:nth-child(2)::before, .shooting_star:nth-child(2)::after, .shooting_star:nth-child(2)::after {
	-webkit-animation-delay: 1107ms;
			animation-delay: 1107ms;
  }
  .shooting_star:nth-child(3) {
	top: calc(50% - 160px);
	left: calc(50% - 341px);
	-webkit-animation-delay: 5571ms;
			animation-delay: 5571ms;
  }
  .shooting_star:nth-child(3)::before, .shooting_star:nth-child(3)::after, .shooting_star:nth-child(3)::after {
	-webkit-animation-delay: 5571ms;
			animation-delay: 5571ms;
  }
  
  @-webkit-keyframes tail {
	0% {
	  width: 0;
	}
	30% {
	  width: 100px;
	}
	100% {
	  width: 0;
	}
  }
  
  @keyframes tail {
	0% {
	  width: 0;
	}
	30% {
	  width: 100px;
	}
	100% {
	  width: 0;
	}
  }
  @-webkit-keyframes shining {
	0% {
	  width: 0;
	}
	50% {
	  width: 30px;
	}
	100% {
	  width: 0;
	}
  }
  @keyframes shining {
	0% {
	  width: 0;
	}
	50% {
	  width: 30px;
	}
	100% {
	  width: 0;
	}
  }
  @-webkit-keyframes shooting {
	0% {
	  -webkit-transform: translateX(0);
			  transform: translateX(0);
	}
	100% {
	  -webkit-transform: translateX(300px);
			  transform: translateX(300px);
	}
  }
  @keyframes shooting {
	0% {
	  -webkit-transform: translateX(0);
			  transform: translateX(0);
	}
	100% {
	  -webkit-transform: translateX(300px);
			  transform: translateX(300px);
	}
  }
  @-webkit-keyframes sky {
	0% {
	  -webkit-transform: rotate(45deg);
			  transform: rotate(45deg);
	}
	100% {
	  -webkit-transform: rotate(405deg);
			  transform: rotate(405deg);
	}
  }
  @keyframes sky {
	0% {
	  -webkit-transform: rotate(45deg);
			  transform: rotate(45deg);
	}
	100% {
	  -webkit-transform: rotate(405deg);
			  transform: rotate(405deg);
	}
  }
  
